### Method

# Clutter Stage update_device

#### Declaration [src]

    void
    clutter_stage_update_device (
      ClutterStage* stage,
      ClutterInputDevice* device,
      ClutterEventSequence* sequence,
      ClutterInputDevice* source_device,
      graphene_point_t point,
      uint32_t time,
      ClutterActor* new_actor,
      MtkRegion* region,
      gboolean emit_crossing
    )

#### Description

No description available.

#### Parameters

`device`

  Type: `ClutterInputDevice`

  No description available.

  The data is owned by the caller of the method.

`sequence`

  Type: `ClutterEventSequence`

  No description available.

  The data is owned by the caller of the method.

`source_device`

  Type: `ClutterInputDevice`

  No description available.

  The data is owned by the caller of the method.

`point`

  Type: `graphene_point_t`

  No description available.

`time`

  Type: `uint32_t`

  No description available.

`new_actor`

  Type: `ClutterActor`

  No description available.

  The data is owned by the caller of the method.

`region`

  Type: `MtkRegion`

  No description available.

  The data is owned by the caller of the method.

`emit_crossing`

  Type: `gboolean`

  No description available.